<p-panel header="Report Kartu Stock" [toggleable]="false">
    <div>
        <div style="margin-top: 10px; width: 100%;">
            <div>
                <p-accordion>
                    <p-accordionTab header="Filter" [selected]="true">
                        <div class="row">

                            <div class="ui-g-12">
                                <div class="ui-g-6">
                                    <label for="field_KdBarang">Kode Barang</label>
                                    <div>
                                        <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                            (completeMethod)="filterBarangSingle($event)" [size]="32" name="KdBarangs"
                                            [minLength]="1" [filter]="true" filterBy="label" field="kdBahan"
                                            placeholder="Please Select Or Insert" [dropdown]="true"
                                            (onSelect)="selectBarang(true)">
                                        </p-autoComplete>
                                    </div>
                                </div>
                                <div class="ui-g-6">
                                    <label for="field_barang">Nama Barang</label>
                                    <div>
                                        <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                            (completeMethod)="filterBarangSingle($event)" [size]="32" name="barangs"
                                            [minLength]="1" field="nmBahan" placeholder="Please Select Or Insert"
                                            [dropdown]="true" (onSelect)="selectBarang(true)"></p-autoComplete>
                                    </div>
                                </div>
                                <div class="ui-g-6">
                                    <label>Periode s/d Tanggal</label>
                                    <div>
                                        <input type="month" [(ngModel)]="dtfrom" class="form-control"
                                            style="width: 60%;height: 50%;">
                                    </div>
                                </div>
                                <div class="ui-g-6">
                                    <label>&nbsp;</label>
                                    <div>
                                        <input type="date" [(ngModel)]="dtthru" class="form-control"
                                            style="width: 60%;height: 50%;">
                                    </div>
                                </div>
                                <div class="ui-g-6">
                                    <label>Tipe Barang</label>
                                    <div>
                                        <p-dropdown [options]="types" [(ngModel)]="selectedType" id="field_TYPE">
                                        </p-dropdown>
                                    </div>
                                </div>
                                <div class="ui-g-6">
                                    <label>Batch Barang</label>
                                    <div>
                                        <select class="form-control" id="field_type" name="selectedBatch" [(ngModel)]="selectedBatch" (click)="getData(dtfrom,dtthru,selectedKd)">
                                            <option value=""></option>
                                            <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of batchs">{{divitionOption.label}}</option>
                                        </select>
                                    </div>
                                </div>
                                <br />
                                <br />
                                <div class="ui-g-12 form-group">
                                    <button pButton type="submit" label="Filter" icon="fa-filter"
                                        class="ui-button-primary flat-label-button" (click)="filter()">
                                    </button>
                                    <button pButton label="Download" icon="fa-cogs"
                                        class="ui-button-primary flat-label-button" (click)="export()">
                                    </button>
                                    <button pButton label="Reset" icon="fa-refresh"
                                        class="ui-button-primary flat-label-button" (click)="clear()">
                                    </button>
                                </div>
                            </div>
                        </div>
                    </p-accordionTab>
                </p-accordion>
            </div>
        </div>
    </div>
    <hr>
    <div *ngIf="isview">
        <div>
            <pdf-viewer [src]="pdfSrc" [render-text]="true" style="display: block;" [show-all]="true" ></pdf-viewer>
        </div>
    </div>
    <div style="margin-bottom: 300px;"></div>
</p-panel>
<p-confirmDialog></p-confirmDialog>